/*************************************************************************/
/*************************************************************************/
/*                                                                       */
/*     Programming and Erasing FLASH 2TS Memory on the MC68HC908AS60     */
/*                                                                	 */
/*************************************************************************/
/* File Name: Prog_er_var.c                 Copyright (c) Motorola 1999  */
/*                                                                       */
/* Current Revision: 1.0                                          	 */
/* Current Release Level: RP                                      	 */
/* Current Revision Release Date:  10/02/99                       	 */
/*                                                                	 */
/* Current Release Written By: Adeela Gill                        	 */
/*                             Motorola Systems Engineering       	 */
/*					 Austin, Texas					 */
/*                                                                	 */
/* Compiled Under: HiCross HC08 (HiWare)   Ver.: 5.0.5  		       */
/*                                                                	 */
/* Project Folder Name: FLASH_2TS                                 	 */
/*                                                                	 */
/* Part Family Software Routine Works With: HC08                         */
/* Part Module(s) Software Routine Works With: fls32k_a01                */
/*                                                                       */
/* RAM Used (Bytes):		11							 */
/*                                                                       */
/* Description:                                                          */
/*   RAM variable definitions for Prog_mrt.c and Er_main.c               */
/*                                                                       */
/*************************************************************************/
/* Motorola reserves the right to make changes without further notice to */
/* any product herein. Motorola makes no warranty, representation or 	 */
/* guarantee regarding the suitability of its products for any particular*/
/* purpose, nor does Motorola assume any liability arising out of the    */
/* application or use of any product, circuit, and specifically disclaims*/
/* any and all liability, including without limitation consequential or	 */ 
/* incidental damages. "Typical" parameters can and do vary in different */
/* applications. All operating parameters, including "Typicals" must be  */
/* validated for each customer application by customer's technical 	 */
/* experts. Motorola does not convey any license under its patent rights */
/* nor the rights of others. Motorola products are not designed, 		 */
/* intended, or authorized for use as components in systems intended for */
/* surgical implant into the body, or other applications intended to 	 */
/* support or sustain life, or for any other application in which the    */
/* failure of the Motorola product could create a situation where 	 */
/* personal injury or death may occur. Should Buyer purchase or use    	 */
/* Motorola products for any such intended or unauthorized application,  */
/* Buyer shall indemnify and hold Motorola and its officers, employees,  */
/* subsidiaries, affiliates, and distributors harmless against all 	 */
/* claims, costs, damages, and expenses, and reasonable attorney fees 	 */
/* arising out of, directly or indirectly, any claim of personal injury  */
/* or death associated with such unintended or unauthorized use, even if */
/* such claim alleges that Motorola was negligent regarding the design or*/
/* manufacture of the part. Motorola and the Motorola symbol are 		 */
/* registered trademarks of Motorola, Inc.					 */
/*************************************************************************/

/*************************************************************************/
/****                          RAM Variables                          ****/
/*************************************************************************/
unsigned char *	FLASH_addr;		/* 16 bit address of FLASH memory to */
						/*   erase or program    		 */
unsigned char	data[8];		/* Eight data bytes that will be	 */
						/*   programmed 				 */
unsigned char	attempt;		/* Counts number of attempts to 	 */
						/*   program a page 			 */
                                    
                                   
